Why Do I Get a Missing Plugin Error When Loading a Remote Front Panel?

Updated Jul 17, 2018

Reported In

Software

  • LabVIEW Real-Time Module

Issue Details

When trying to view a Remote Front Panel from my web browser, I see a missing plugin error. Where do I get the plugin?

Solution

The LabVIEW Run-time Engine is necessary to view Remote Front Panels. Download the LabVIEW Run-Time Engine here if you do not have it.

On a Windows and Mac operating system (OS), the LabVIEW Run-Time Engine installation will usually automatically copy the browser plugin(s) to the correct directory for you. In some cases, or for Linux users, it is necessary to manually install the plugin(s) to the correct directory.

Note: You must use the plugin that corresponds with the version of the LabVIEW Run-Time Engine that you are using. For example, the Remote Front Panel plugin for LabVIEW Run-Time Engine 2012 is not compatible with LabVIEW Run-Time Engine 2013.

See below for OS specific supported browsers and plugin installation information:

Additional Information

Windows
Accessing Remote Front Panels requires the use of NPAPI plugins, which are not supported in any version of Google Chrome Version 42 or higher, Mozilla Firefox Version 52 or higher, or in Microsoft Edge, so it is necessary to use one of the browsers listed below:  
  • Internet Explorer 5.5 and greater
  • Netscape 4.7 and greater
  • Opera  
If you have installed the LabVIEW Run-Time Engine and still see the missing plugin error, there are two possible causes:
  • You are using an unsupported web browser.
  • You installed LabVIEW Run-time Engine before installing the web browser.
For case 2, you can copy the plugin for your version of the LabVIEW Run-Time Engine to the plugin directory for the web browser.

Beginning in LabVIEW 8.0, the plugins are installed to \National Instruments\Shared\LabVIEW Run-Time\Current LabVIEW Version\Browser Plugins.  If a web browser is installed after LabVIEW Run-Time, plugins will need to be manually copied from this location to the plugin directory for the web browser.  Note that if you are using a 32-bit browser on a 64-bit , the path to the plugins folder will be under Program Files (x86).  

Note: Windows XP 64-bit isn't a supported OS for LabVIEW and is not compatible with the LabVIEW Run-Time Engine.

For Internet Explorer, you must move the plugin.dll to the appropriate plugin directory:
 C:\Program Files\Internet Explorer\PLUGINS 

If the appropriate shared libraries are installed, but you still cannot see the front panel in the web page, it may be that the .dll is not properly registered with the system.  

To register the .dll, navigate to the \Program Files\Internet Explorer\PLUGINS\ directory.  Open a command prompt by going to Start»Run..., type cmd and click OK. Enter regsvr32 LV[XX]ActiveXControl.dll, where [XX] corresponds to the LabVIEW version in the .dll that resides in the \PLUGINS directory.  After running regsvr32, you will see a pop-up indicating that the shared library was registered.

Mac OS X
Installation of the LabVIEW Run-Time Engine on Mac OS X should install a plugin to \Library\Internet Plug-Ins. This will enable a user to launch a LabVIEW Run-Time window by clicking on an area in the HTML page, but will not embed the LabVIEW window into the HTML page itself. Since the LabVIEW window is not actually embedded in the browser, any browser for Mac OS X should work with LabVIEW Remote Front Panels, including:
  • Safari
  • Internet Explorer 5.5 and greater
  • Netscape 6.1 and greater
  • Opera
If you need the Remote Front Panel plugin for Mac OS X download the file Mac OS X RFP Plugins.zip below. Copy the appropriate plugin to \Library\Internet Plug-Ins

Mac OS 9
The following are supported browsers for viewing Remote Front Panels in Mac OS 9:
  • Netscape 4.7 - 7.0
  • Internet Explorer 5.1 and greater
The following are supported versions of the LabVIEW Run-Time Engine for viewing Remote Front Panels in Mac OS 9
  • LabVIEW Run-Time Engine 6.1
  • LabVIEW Run-Time Engine 7.0
Note: For Mac OS 9 - Netscape and Internet Explorer use the same plugin for a given version of the LabVIEW Run-Time Engine.

If you install Netscape or Internet Explorer after installing the LabVIEW Run-Time Engine, you can reinstall the Run-Time Engine or download the file Mac OS 9 RFP Plugins.zip below. This file contains two plugins, one for version 6.1 and one for version 7.0 of the LabVIEW Run-Time Engine. Copy the appropriate plugin to Applications\Internet\Netscape\Plug-ins or Applications\Internet\Internet Explorer 5.x\Plug-Ins

Linux
The following are supported browsers for viewing Remote Front Panels in Linux:
  • Netscape 6.0 and greater
The LabVIEW Netscape plug-in for Linux requires Netscape 6.x. Netscape 4.x is not supported because it is a single-threaded application and is incompatible with the multi-threaded LabVIEW run-time engine. Mozilla Firefox no longer supports NPAPI plugins in version 52 or later. 

The Remote Front Panel plugin for the LabVIEW Run-Time Engine is installed by default to /usr/local/lib/LabVIEW-x.x. After installing the LabVIEW Run-Time Engine, copy the shared object file (LV71NPlugin.so, LV7NPlugin.so, or LVNPlugin.so) from the aforementioned location to /usr/local/(your browser)/plugins.

WAS THIS ARTICLE HELPFUL?

Not Helpful